Loading...
Searching...
No Matches
juce::Interpolators Class Reference

`#include <juce_Interpolators.h>`

## Public Types

using | WindowedSinc = GenericInterpolator<WindowedSincTraits, 200>
using | Lagrange = GenericInterpolator<LagrangeTraits, 5>
using | CatmullRom = GenericInterpolator<CatmullRomTraits, 4>
using | Linear = GenericInterpolator<LinearTraits, 2>
using | ZeroOrderHold = GenericInterpolator<ZeroOrderHoldTraits, 1>

## Detailed Description

A collection of different interpolators for resampling streams of floats.

See also
  GenericInterpolator, WindowedSincInterpolator, LagrangeInterpolator, CatmullRomInterpolator, LinearInterpolator, ZeroOrderHoldInterpolator

Definition at line 34 of file juce_Interpolators.h.

## Member Typedef Documentation

## CatmullRom

using juce::Interpolators::CatmullRom = GenericInterpolator<CatmullRomTraits, 4>

Definition at line 148 of file juce_Interpolators.h.

## Lagrange

using juce::Interpolators::Lagrange = GenericInterpolator<LagrangeTraits, 5>

Definition at line 147 of file juce_Interpolators.h.

## Linear

using juce::Interpolators::Linear = GenericInterpolator<LinearTraits, 2>

Definition at line 149 of file juce_Interpolators.h.

## WindowedSinc

using juce::Interpolators::WindowedSinc = GenericInterpolator<WindowedSincTraits, 200>

Definition at line 146 of file juce_Interpolators.h.

## ZeroOrderHold

using juce::Interpolators::ZeroOrderHold = GenericInterpolator<ZeroOrderHoldTraits, 1>

Definition at line 150 of file juce_Interpolators.h.

The documentation for this class was generated from the following file:

- juce_Interpolators.h